
import '@codingame/monaco-vscode-api/vscode/vs/editor/standalone/browser/standaloneServices';
import { SyncDescriptor } from '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/descriptors';
import { IMcpConfigPathsService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpConfigPathsService.service';
import { IMcpService } from '@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes.service';
import { IMcpRegistry } from '@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes.service';
import { McpConfigPathsService } from './vscode/src/vs/workbench/contrib/mcp/common/mcpConfigPathsService.js';
import { McpService } from './vscode/src/vs/workbench/contrib/mcp/common/mcpService.js';
import { McpRegistry } from './vscode/src/vs/workbench/contrib/mcp/common/mcpRegistry.js';
import './vscode/src/vs/workbench/contrib/mcp/browser/mcp.contribution.js';

function getServiceOverride() {
    return {
        [IMcpConfigPathsService.toString()]: new SyncDescriptor(McpConfigPathsService, [], true),
        [IMcpService.toString()]: new SyncDescriptor(McpService, [], true),
        [IMcpRegistry.toString()]: new SyncDescriptor(McpRegistry, [], true)
    };
}

export { getServiceOverride as default };
