import { VSBuffer } from "@codingame/monaco-vscode-api/vscode/vs/base/common/buffer";
import { Mutable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/types";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { INativeMcpDiscoveryData } from "../../../../../platform/mcp/common/nativeMcpDiscoveryHelper.js";
import { DiscoverySource } from "@codingame/monaco-vscode-1cb11a73-359e-5a2f-9e95-6989cc9858ee-common/vscode/vs/workbench/contrib/mcp/common/mcpConfiguration";
import { McpCollectionSortOrder, McpServerDefinition } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes";
export interface NativeMpcDiscoveryAdapter {
    readonly remoteAuthority: string | null;
    readonly id: string;
    readonly order: number;
    readonly discoverySource: DiscoverySource;
    getFilePath(details: INativeMcpDiscoveryData): URI | undefined;
    adaptFile(contents: VSBuffer, details: INativeMcpDiscoveryData): McpServerDefinition[] | undefined;
}
export declare function claudeConfigToServerDefinition(idPrefix: string, contents: VSBuffer, cwd?: URI): Mutable<McpServerDefinition>[] | undefined;
export declare class ClaudeDesktopMpcDiscoveryAdapter implements NativeMpcDiscoveryAdapter {
    readonly remoteAuthority: string | null;
    id: string;
    readonly order = McpCollectionSortOrder.Filesystem;
    readonly discoverySource: DiscoverySource;
    constructor(remoteAuthority: string | null);
    getFilePath({ platform, winAppData, xdgHome, homedir }: INativeMcpDiscoveryData): URI | undefined;
    adaptFile(contents: VSBuffer, { homedir }: INativeMcpDiscoveryData): McpServerDefinition[] | undefined;
}
export declare class WindsurfDesktopMpcDiscoveryAdapter extends ClaudeDesktopMpcDiscoveryAdapter {
    readonly discoverySource: DiscoverySource;
    constructor(remoteAuthority: string | null);
    getFilePath({ homedir }: INativeMcpDiscoveryData): URI | undefined;
}
export declare class CursorDesktopMpcDiscoveryAdapter extends ClaudeDesktopMpcDiscoveryAdapter {
    readonly discoverySource: DiscoverySource;
    constructor(remoteAuthority: string | null);
    getFilePath({ homedir }: INativeMcpDiscoveryData): URI | undefined;
}
