import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IObservable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/observable";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { ConfigurationTarget } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration";
import { ILabelService } from "@codingame/monaco-vscode-api/vscode/vs/platform/label/common/label.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
import { StorageScope } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage";
import { IWorkspaceFolder } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { IWorkbenchEnvironmentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/environment/common/environmentService.service";
import { IPreferencesService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/preferences/common/preferences.service";
import { IRemoteAgentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/remote/common/remoteAgentService.service";
import { IMcpConfigPathsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpConfigPathsService.service";
export interface IMcpConfigPath {
    id: string;
    key: "userLocalValue" | "userRemoteValue" | "workspaceValue" | "workspaceFolderValue";
    label: string;
    scope: StorageScope;
    target: ConfigurationTarget;
    order: number;
    remoteAuthority?: string;
    uri: URI | undefined;
    section?: string[];
    workspaceFolder?: IWorkspaceFolder;
}
export declare class McpConfigPathsService extends Disposable implements IMcpConfigPathsService {
    private readonly _environmentService;
    _serviceBrand: undefined;
    private readonly _paths;
    get paths(): IObservable<readonly IMcpConfigPath[]>;
    constructor(workspaceContextService: IWorkspaceContextService, productService: IProductService, labelService: ILabelService, _environmentService: IWorkbenchEnvironmentService, remoteAgentService: IRemoteAgentService, preferencesService: IPreferencesService);
    private _fromWorkspaceFolder;
}
