import { Disposable, IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IObservable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/observable";
import { ConfigurationTarget } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration";
import { IConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/configuration/common/configuration.service";
import { IDialogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/dialogs/common/dialogs.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { INotificationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/notification/common/notification.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
import { StorageScope } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IWorkspaceFolderData } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace";
import { IConfigurationResolverService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/configurationResolver/common/configurationResolver.service";
import { IResolvedValue } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/configurationResolver/common/configurationResolverExpression";
import { IEditorService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/editor/common/editorService.service";
import { IMcpHostDelegate, IMcpResolveConnectionOptions } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes";
import { IMcpRegistry } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes.service";
import { IMcpServerConnection, LazyCollectionState, McpCollectionDefinition, McpCollectionReference } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes";
export declare class McpRegistry extends Disposable implements IMcpRegistry {
    private readonly _instantiationService;
    private readonly _configurationResolverService;
    private readonly _dialogService;
    private readonly _storageService;
    private readonly _productService;
    private readonly _notificationService;
    private readonly _editorService;
    readonly _serviceBrand: undefined;
    private readonly _trustPrompts;
    private readonly _collections;
    private readonly _delegates;
    private readonly _enabled;
    readonly collections: IObservable<readonly McpCollectionDefinition[]>;
    private readonly _collectionToPrefixes;
    private readonly _workspaceStorage;
    private readonly _profileStorage;
    private readonly _trustMemento;
    private readonly _ongoingLazyActivations;
    readonly lazyCollectionState: IObservable<LazyCollectionState>;
    get delegates(): readonly IMcpHostDelegate[];
    private readonly _onDidChangeInputs;
    readonly onDidChangeInputs: import("@codingame/monaco-vscode-api/vscode/vs/base/common/event").Event<void>;
    constructor(_instantiationService: IInstantiationService, _configurationResolverService: IConfigurationResolverService, _dialogService: IDialogService, _storageService: IStorageService, _productService: IProductService, _notificationService: INotificationService, _editorService: IEditorService, configurationService: IConfigurationService);
    registerDelegate(delegate: IMcpHostDelegate): IDisposable;
    registerCollection(collection: McpCollectionDefinition): IDisposable;
    collectionToolPrefix(collection: McpCollectionReference): IObservable<string>;
    discoverCollections(): Promise<McpCollectionDefinition[]>;
    private _getInputStorage;
    private _getInputStorageInConfigTarget;
    clearSavedInputs(scope: StorageScope, inputId?: string): Promise<void>;
    editSavedInput(inputId: string, folderData: IWorkspaceFolderData | undefined, configSection: string, target: ConfigurationTarget): Promise<void>;
    setSavedInput(inputId: string, target: ConfigurationTarget, value: string): Promise<void>;
    getSavedInputs(scope: StorageScope): Promise<{
        [id: string]: IResolvedValue;
    }>;
    resetTrust(): void;
    getTrust(collectionRef: McpCollectionReference): IObservable<boolean | undefined>;
    private _promptForTrust;
    private _promptForTrustOpenDialog;
    private _updateStorageWithExpressionInputs;
    private _replaceVariablesInLaunch;
    resolveConnection({ collectionRef, definitionRef, forceTrust, logger }: IMcpResolveConnectionOptions): Promise<IMcpServerConnection | undefined>;
}
