import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { ILogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service";
import { ISecretStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/secrets/common/secrets.service";
import { StorageScope, StorageTarget } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IResolvedValue } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/configurationResolver/common/configurationResolverExpression";
export declare class McpRegistryInputStorage extends Disposable {
    private readonly _scope;
    private readonly _storageService;
    private readonly _secretStorageService;
    private readonly _logService;
    private static secretSequencer;
    private readonly _secretsSealerSequencer;
    private readonly _getEncryptionKey;
    private _didChange;
    private _record;
    constructor(_scope: StorageScope, _target: StorageTarget, _storageService: IStorageService, _secretStorageService: ISecretStorageService, _logService: ILogService);
    clearAll(): void;
    clear(inputKey: string): Promise<void>;
    getMap(): Promise<{
        [x: string]: IResolvedValue;
    }>;
    setPlainText(values: Record<string, IResolvedValue>): Promise<void>;
    setSecrets(values: Record<string, IResolvedValue>): Promise<void>;
    private _sealSecrets;
    private _unsealSecrets;
}
