import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IObservable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/observable";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { ILogger } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log";
import { IMcpHostDelegate } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes";
import { McpServerRequestHandler } from "./mcpServerRequestHandler.js";
import { IMcpServerConnection, McpCollectionDefinition, McpConnectionState, McpServerDefinition, McpServerLaunch } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes";
export declare class McpServerConnection extends Disposable implements IMcpServerConnection {
    private readonly _collection;
    readonly definition: McpServerDefinition;
    private readonly _delegate;
    readonly launchDefinition: McpServerLaunch;
    private readonly _logger;
    private readonly _instantiationService;
    private readonly _launch;
    private readonly _state;
    private readonly _requestHandler;
    readonly state: IObservable<McpConnectionState>;
    readonly handler: IObservable<McpServerRequestHandler | undefined>;
    constructor(_collection: McpCollectionDefinition, definition: McpServerDefinition, _delegate: IMcpHostDelegate, launchDefinition: McpServerLaunch, _logger: ILogger, _instantiationService: IInstantiationService);
    start(): Promise<McpConnectionState>;
    private adoptLaunch;
    stop(): Promise<void>;
    dispose(): void;
    private _waitForState;
}
