import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IObservable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/observable";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { ILogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service";
import { ILanguageModelToolsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/chat/common/languageModelToolsService.service";
import { IMcpRegistry } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpRegistryTypes.service";
import { McpServerMetadataCache } from "./mcpServer.js";
import { IMcpServer } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes";
import { IMcpService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes.service";
export declare class McpService extends Disposable implements IMcpService {
    private readonly _instantiationService;
    private readonly _mcpRegistry;
    private readonly _toolsService;
    private readonly _logService;
    _serviceBrand: undefined;
    private readonly _servers;
    readonly servers: IObservable<readonly IMcpServer[]>;
    get lazyCollectionState(): IObservable<import("@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/mcp/common/mcpTypes").LazyCollectionState>;
    protected readonly userCache: McpServerMetadataCache;
    protected readonly workspaceCache: McpServerMetadataCache;
    constructor(_instantiationService: IInstantiationService, _mcpRegistry: IMcpRegistry, _toolsService: ILanguageModelToolsService, _logService: ILogService);
    resetCaches(): void;
    activateCollections(): Promise<void>;
    private _syncTools;
    private _updateCollectedServers;
    dispose(): void;
}
